# std::tr1::normal_distribution< _RealType > Class Template Reference
[Continuous Distributions]

List of all members.

## Detailed Description

### template<typename _RealType = double>
class std::tr1::normal_distribution< _RealType >

The formula for the normal probability mass function is .

Definition at line 2196 of file random.

## Public Types

- typedef _RealType input_type
- typedef _RealType result_type

## Public Member Functions

- _RealType mean () const
- normal_distribution (const result_type &__mean=result_type(0), const result_type &__sigma=result_type(1))
- template<class _UniformRandomNumberGenerator> result_type operator() (_UniformRandomNumberGenerator &__urng)
- void reset ()
- _RealType sigma () const

## Friends

- template<typename _RealType1, typename _CharT, typename _Traits> std::basic_ostream< _CharT,
  _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const normal_distribution< _RealType1 > &__x)
- template<typename _RealType1, typename _CharT, typename _Traits> std::basic_istream< _CharT,
  _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, normal_distribution< _RealType1 > &__x)

## Constructor & Destructor Documentation

template<typename _RealType = double>

std::tr1::normal_distribution< _RealType >::normal_distribution | ( | const result_type & | __mean = `result_type(0)`,
|  | const result_type & | __sigma = `result_type(1)` |
| ) |  |  | `[inline, explicit]`

Constructs a normal distribution with parameters and .

Definition at line 2209 of file random.

References _GLIBCXX_DEBUG_ASSERT.

## Member Function Documentation

template<typename _RealType = double>

_RealType std::tr1::normal_distribution< _RealType >::mean | ( |  | ) | const`[inline]`

Gets the mean of the distribution.

Definition at line 2220 of file random.

template<typename _RealType>
template<class _UniformRandomNumberGenerator>

normal_distribution< _RealType >::result_type std::tr1::normal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

Polar method due to Marsaglia.

Devroye, L. "Non-Uniform Random Variates Generation." Springer-Verlag, New York, 1986, Ch. V, Sect. 4.4.

Definition at line 1360 of file random.tcc.

References std::log(), and std::sqrt().

template<typename _RealType = double>

void std::tr1::normal_distribution< _RealType >::reset | ( |  | ) | `[inline]`

Resets the distribution.

Definition at line 2234 of file random.

template<typename _RealType = double>

_RealType std::tr1::normal_distribution< _RealType >::sigma | ( |  | ) | const`[inline]`

Gets the of the distribution.

Definition at line 2227 of file random.

## Friends And Related Function Documentation

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const normal_distribution< _RealType1 > & | __x |
| ) |  |  | `[friend]`

Inserts a normal_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A normal_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | normal_distribution< _RealType1 > & | __x |
| ) |  |  | `[friend]`

Extracts a normal_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A normal_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

The documentation for this class was generated from the following files:

- random
- random.tcc